//+------------------------------------------------------------------+
//|                                                       Ranger.mq4 |
//|                                                           doshur |
//|                                            http://www.doshur.com |
//+------------------------------------------------------------------+
#property copyright "doshur"
#property link      "http://www.doshur.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 SlateBlue

extern int Trend1 = 5;
extern int Trend2 = 8;
extern int Trend3 = 13;
extern int Mode1 = 3;
extern int Mode2 = 0;
extern int Mode3 = 2; // 0 - SMA, 1 - EMA, 2 - SMMA, 3 - LWMA

//---- buffers
double ExtMapBuffer1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM,0,2);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit, i;
   int counted_bars = IndicatorCounted();

   double RT_01, RT_02, RT_03;

   limit = Bars - counted_bars;
//----
   for(i = 0; i <= limit; i++)
   {
      RT_01 = iMA(NULL, 0, Trend1, 0, Mode1, PRICE_TYPICAL, i) - iMA(NULL, 0, Trend2, 0, Mode2, PRICE_TYPICAL, i);
      RT_02 = iMA(NULL, 0, Trend2, 0, Mode2, PRICE_TYPICAL, i) - iMA(NULL, 0, Trend3, 0, Mode3, PRICE_TYPICAL, i);
      RT_03 = iMA(NULL, 0, Trend1, 0, Mode1, PRICE_TYPICAL, i) - iMA(NULL, 0, Trend3, 0, Mode3, PRICE_TYPICAL, i);

      ExtMapBuffer1[i] = (RT_01 + RT_02 + RT_03) * 100;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+